/*
 * Sudoku Solver Copyright (C) 2005 Keith Flanagan
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */

/**
 * 
 * @author Keith Flanagan
 */
public class ParseDataException extends Exception
{

  /**
   * 
   */
  public ParseDataException()
  {
    super();
  }

  /**
   * @param message
   */
  public ParseDataException(String message)
  {
    super(message);
  }

  /**
   * @param message
   * @param cause
   */
  public ParseDataException(String message, Throwable cause)
  {
    super(message, cause);
  }

  /**
   * @param cause
   */
  public ParseDataException(Throwable cause)
  {
    super(cause);
  }
}
